package cn.com.qmth.stmms.ms.collect.dto;

import cn.com.qmth.stmms.ms.core.domain.ParamSetting;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by dizhi on 2016/12/24.
 */
public class LoginDTO {

    private Long userId;
    private String name;
    private Long examId;
    private String examName;
    private boolean imageEnc;
    private ParamSetting paramSetting;
    private List<CollectSubjectDTO> subjects = new ArrayList<>();
    private String roleCode;
    private Long organizationId;

    public boolean isImageEnc() {
        return imageEnc;
    }

    public void setImageEnc(boolean imageEnc) {
        this.imageEnc = imageEnc;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public List<CollectSubjectDTO> getSubjects() {
        return subjects;
    }

    public void setSubjects(List<CollectSubjectDTO> subjects) {
        this.subjects = subjects;
    }

    public ParamSetting getParamSetting() {
        return paramSetting;
    }

    public void setParamSetting(ParamSetting paramSetting) {
        this.paramSetting = paramSetting;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public Long getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(Long organizationId) {
        this.organizationId = organizationId;
    }
}
